
Name:    hotspot
Version: 1.0.0
Release: 1%{?dist}
Summary: The Linux perf GUI for performance analysis

License: GPLv2+
URL:     https://github.com/KDAB/hotspot

Source0: https://github.com/KDAB/%{name}/releases/download/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kitemmodels-devel
BuildRequires:  kf5-threadweaver-devel
BuildRequires:  kf5-kconfigwidgets-devel
BuildRequires:  kf5-kio-devel

BuildRequires:  qt5-qtbase-devel

BuildRequires:  elfutils-devel

# Workaround for undefined reference on some architectures
ExcludeArch:    s390 s390x ppc64

%description
A standalone GUI for performance data. Attempting to provide a UI like
KCachegrind around Linux perf.


%prep
%autosetup -n %{name}-v%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files
%license LICENSE.GPL.txt
%{_bindir}/hotspot
%{_datadir}/icons/hicolor/*/*/hotspot*
%{_libexecdir}/hotspot-perfparser


%changelog
* Tue Jul 11 2017 Jan Grulich <jgrulich@redhat.com> - 1.0.0-1
- Initial version
